package net.h34t.app.net.h34t.filemure

import io.javalin.Javalin
import io.javalin.http.staticfiles.Location
import net.h34t.filemure.FilemureApp
import net.h34t.filemure.repository.SqliteRepository


fun main() {

    val app = FilemureApp(SqliteRepository("jdbc:sqlite:filemure.db"))

    Javalin
        .create { config ->
            config.staticFiles.add { staticFiles ->
                staticFiles.hostedPath = "/"
                staticFiles.directory = "./public"
                staticFiles.location = Location.EXTERNAL
            }

            config.requestLogger.http { ctx, ms ->
                // log things here
            }
        }
        .also {
            app.register(it)
        }
        .start(7070)
}
