package net.h34t.filemure.controller

import io.javalin.http.Context
import net.h34t.filemure.TemplateModifiers
import net.h34t.filemure.getSession
import net.h34t.filemure.repository.SqliteRepository

class UploadController(val modifiers: TemplateModifiers, val repository: SqliteRepository) {

    fun upload(ctx: Context) {
        println("upload")
        val session = ctx.getSession()
        requireNotNull(session)

        val accountid = session.id

        val files = ctx.uploadedFiles()

        files.forEach {
            println("filename:    " + it.filename())
            println("ext:         " + it.extension())
            println("contentType: " + it.contentType()) // mime
            println("size:        " + it.size())

            it.contentAndClose { content ->
                repository.addFileToLimbo(accountid, it.filename(), it.contentType(), it.size(), content)
            }
        }

        ctx.status(200)
        ctx.json(Result(files = files.size))
    }

    data class Result(
        val files: Int
    )
}
