package net.h34t.filemure.core.entity

import kotlinx.datetime.Instant
import kotlinx.datetime.LocalDateTime
import java.util.*

class Document(
    val id: UUID,
    val title: String,
    val description: String,
    val tags: List<Tag>,
    val created: Instant,
    val date: LocalDateTime,
    val files: List<DocFile>,
)

@JvmInline
value class Tag(val value: String)

@JvmInline
value class MimeType(val value: String) {
    init {
        // TODO validate mime type
        // require(value)
    }
}

data class DocFile(
    val id: UUID,
    val filename: String,
    val mimeType: MimeType,
    val created: Instant,
)

