document.addEventListener("DOMContentLoaded", function() {
    console.log("filemure ready")
    const dropzone = document.querySelector('html');

    // window.addEventListener

    // Prevent default behavior for drag-over and drop
    dropzone.addEventListener('dragover', (e) => {
        console.log("over")
        e.preventDefault();
        dropzone.classList.add('dragactive');
    });

    dropzone.addEventListener('dragleave', (e) => {
        console.log("out")
        dropzone.classList.remove('dragactive');
    });

    dropzone.addEventListener('drop', (e) => {
    console.log("drop")
      e.preventDefault();
      dropzone.classList.remove('dragactive');

      // Handle dropped files
      const files = e.dataTransfer.files;
      if (files.length > 0) {
        console.log('Files dropped:', files);

        // Process the files
        for (const file of files) {
          console.log('File name:', file.name);
          console.log('File size:', file.size, 'bytes');
          console.log('File type:', file.type);

          const formData = new FormData();
          formData.append('file', file);

          fetch('/upload', {
            method: 'POST',
            body: formData,
          }).then(response => response.json())
            .then(data => console.log('Upload successful:', data))
            .catch(error => console.error('Upload failed:', error));
        }
      }
    });
});